complexType "RequestAllocationRetracted"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 attributes, 10 elements
Defined: | globally in fpml-confirmation-processes-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header, validation*, (parentCorrelationId?, correlationId, sequenceNumber)?, onBehalfOf?, blockTradeIdentifier?, allocations?, (party+, account*)?
</...>

Content Model Elements (10):

  account, allocations (in requestAllocationRetracted), blockTradeIdentifier (in requestAllocationRetracted), correlationId, header (defined in RequestMessage complexType), | onBehalfOf (defined in OnBehalfOf.model group), parentCorrelationId, party (defined in PartiesAndAccounts.model group), sequenceNumber (defined in Sequence.model group), validation

All Direct / Indirect Based Elements (1):

  requestAllocationRetracted

Known Usage Locations

- As direct type of elements (1):
  requestAllocationRetracted

Annotation
A message withdrawing a request that a trade be split among several accounts.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) NonCorrectableRequestMessage (extension) RequestAllocationRetracted

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="RequestAllocationRetracted"> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="blockTradeIdentifier" type="TradeIdentifier"/> <xsd:element minOccurs="0" name="allocations" type="Allocations"/> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/10)
allocations

  Type: | Allocations, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="allocations" type="Allocations"/>

blockTradeIdentifier

  Type: | TradeIdentifier, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="blockTradeIdentifier" type="TradeIdentifier"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.